summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorandalenavals2019-03-12 08:16:58 -0300
committerandalenavals2019-03-12 08:16:58 -0300
commit9e1a12d6000912909542a0932033882ce3f832a3 (patch)
tree393a70df549c0fb9f4a812223db20a37794b6a8d
parent82a27179ee15129e276c6cb38e8ce45592365563 (diff)
downloadaur-9e1a12d6000912909542a0932033882ce3f832a3.tar.gz
clean chroot, dependencies solved
-rwxr-xr-x.SRCINFO43
-rw-r--r--PKGBUILD23
2 files changed, 45 insertions, 21 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8c0841d131c..c129d300c83 100755
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,43 +1,64 @@
-pkgbase = python-galsim-git
+pkgbase = python-galsim
pkgdesc = The modular galaxy image simulation toolkit
- pkgver = v2.1.4.r3.68c8695b0
+ pkgver = v2.1.4.r0.2e459f5a8
pkgrel = 1
url = https://github.com/GalSim-developers/GalSim.git
arch = i686
arch = x86_64
license = BSD
+ checkdepends = python-nose
+ checkdepends = python2-nose
+ checkdepends = python-yaml
+ checkdepends = python2-yaml
+ checkdepends = python-pandas
+ checkdepends = python2-pandas
makedepends = git
makedepends = scons
makedepends = boost-libs
makedepends = fftw
makedepends = tmv-git
- makedepends = python
- makedepends = python2
makedepends = eigen
makedepends = pybind11
- source = python-galsim-git::git+https://github.com/GalSim-developers/GalSim.git
+ makedepends = python-coord-git
+ makedepends = python2-coord-git
+ makedepends = python-setuptools
+ makedepends = python2-setuptools
+ makedepends = python2-astropy
+ makedepends = python2-future
+ makedepends = python2-numpy
+ makedepends = python-astropy
+ makedepends = python-future
+ makedepends = python-numpy
+ source = python-galsim::git+https://github.com/GalSim-developers/GalSim.git#tag=v2.1.4
md5sums = SKIP
pkgname = python-galsim-git
- depends = python
+ depends = pybind11
+ depends = python-astropy
+ depends = python-numpy
+ depends = python-future
+ depends = galsim-common-git
depends = boost-libs
depends = fftw
depends = tmv-git
depends = eigen
depends = pybind11
- depends = galsim-common-git
+ depends = python-coord-git
pkgname = python2-galsim-git
- depends = python2
+ depends = pybind11
+ depends = python2-astropy
+ depends = python2-numpy
+ depends = python2-future
+ depends = galsim-common-git
depends = boost-libs
depends = fftw
depends = tmv-git
depends = eigen
depends = pybind11
- depends = galsim-common-git
+ depends = python2-coord-git
pkgname = galsim-common-git
- pkgdesc = common files for python-galsim-git and python2-galsim-git
+ pkgdesc = common files for python-galsim and python2-galsim
depends = fftw
- depends = tmv-git
diff --git a/PKGBUILD b/PKGBUILD
index b0097903c3d..9433044dcde 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,15 +1,16 @@
# Maintainer: Andres Alejandro Navarro Alsina <aanavarroa@unal.edu.co>
# Contributor: GalSim developers team on GitHub
-pkgbase=python-galsim-git
+pkgbase=python-galsim
pkgname=('python-galsim-git' 'python2-galsim-git' 'galsim-common-git')
-pkgver=v2.1.4.r3.68c8695b0
+pkgver=v2.1.4.r0.2e459f5a8
pkgrel=1
pkgdesc=" The modular galaxy image simulation toolkit "
arch=('i686' 'x86_64')
url="https://github.com/GalSim-developers/GalSim.git"
license=('BSD')
-makedepends=('git' 'scons' 'boost-libs' 'fftw' 'tmv-git' 'python' 'python2' 'eigen' 'pybind11')
-source=("${pkgbase}::git+${url}")
+makedepends=('git' 'scons' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'python-coord-git' 'python2-coord-git' 'python-setuptools' 'python2-setuptools' 'python2-astropy' 'python2-future' 'python2-numpy' 'python-astropy' 'python-future' 'python-numpy')
+checkdepends=('python-nose' 'python2-nose' 'python-yaml' 'python2-yaml' 'python-pandas' 'python2-pandas')
+source=("${pkgbase}::git+${url}#tag=v2.1.4")
md5sums=('SKIP')
pkgver() {
@@ -35,12 +36,12 @@ check() {
nosetests -v || warning 'Tests failed'
cd "$srcdir"/$pkgbase-py2/tests
- nosetests2 -v || warning 'Tests failed'
+ nosetests2 -v || warning 'Tests2 failed'
}
package_python-galsim-git() {
- depends=('python' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'galsim-common-git')
+ depends=('pybind11' 'python-astropy' 'python-numpy' 'python-future' 'galsim-common-git' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'python-coord-git')
cd $pkgbase
scons PREFIX="${pkgdir}"/usr FINAL_PREFIX=/usr PYTHON=python install
rm -rf "${pkgdir}"/usr/share
@@ -50,7 +51,7 @@ package_python-galsim-git() {
}
package_python2-galsim-git() {
- depends=('python2' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'galsim-common-git')
+ depends=('pybind11' 'python2-astropy' 'python2-numpy' 'python2-future' 'galsim-common-git' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'python2-coord-git')
cd $pkgbase-py2
scons PREFIX=$pkgdir/usr FINAL_PREFIX=/usr PYTHON=python2 install
rm -rf "${pkgdir}"/usr/share
@@ -61,11 +62,13 @@ package_python2-galsim-git() {
}
package_galsim-common-git() {
- depends=('fftw' 'tmv-git')
- pkgdesc='common files for python-galsim-git and python2-galsim-git'
+ depends=('fftw')
+ pkgdesc='common files for python-galsim and python2-galsim'
cd $pkgbase
install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
mv "${srcdir}"/$pkgbase/share/ "${pkgdir}"/usr/share/galsim/
install -Dm644 "${srcdir}"/$pkgbase/lib/libgalsim.so "${pkgdir}"/usr/lib/libgalsim.so
install -Dm644 "${srcdir}"/$pkgbase/lib/libgalsim.so.2.1 "${pkgdir}"/usr/lib/libgalsim.so.2.1
-} \ No newline at end of file
+}
+
+